#ifndef __MolipRuby0_h
#define __MolipRuby0_h

/*************************************************************************
 * <t@C>	MolipRuby0.h
 *
 * <@\>	R|[lg0̃wb_B
 *
 * <>	01.08.10 Fukushiro M. 쐬
 *************************************************************************/

/////////////////////////////////////////////////////////////////////////////////

#include "MpgMolipSdk.h"

class CA0 : public IMpgInterface
{
public:
	//----- Interface IPgInfo -----
	virtual const wchar_t* GetComponentCLSIDName () const;
	virtual const wchar_t* GetComponentName () const;
	virtual const wchar_t* GetVersionName () const;
	virtual const wchar_t* GetComment () const;
	virtual const wchar_t* GetSupportInfo () const;
	virtual wchar_t        GetComponentShortcut () const;

	//----- Interface IPgMain -----
	virtual HRESULT	Initialize (IMpgMolipMain* pI);
	virtual HRESULT	Terminate ();
	virtual HRESULT	OnCommand (UINT nCmdID);
	virtual HRESULT	OnUpdateCommandUI (FCCmdUIWrp* pCmdUI);

	//----- Interface IPgInterface -----
	virtual long&	GetInstanceCount ();

	//----- CA domestic -----
	CA0 ();
	virtual ~CA0 ();

private:
	DWORD	m_adwCommandId[5];		// R}h܂镪̔zB
}; // class CA0.

// R|[lg`BK{B
#define COMPO_CLASS_0	CA0

#endif//__MolipRuby0_h
