/*************************************************************************
 * <t@C>	MolipRuby0.cpp
 *
 * <@\>	R|[lg0̃\[XB
 *			̃W[ɂ́Aȏ̃R|[lg܂܂܂B
 *
 * <>	01.08.10 Fukushiro M. 쐬
 *************************************************************************/

//#include "stdafx.h"
#include <assert.h>		// For assert.
//#include <tchar.h>		// For _TCHAR.
#include "Module.h"		// For FMpgGetModule().

#include "ruby.h"
#include "ruby_molip.h"

ID id_call;

// vOCR|[lgCLSIDB
// vOCR|[lgƂɌŗLCLSIDKvłB
// ŗLCLSID́Aguidgen.exe Ŏ擾ł܂B
// ӁI
// guidgen.exe GUID́Ap̈ꕔɂȂ
// ꍇ܂BKƂő啶ɏCĂB
// {F4848816-06AF-45cf-9C1F-85705E600EC7}
#define PG_COMPONENT_0_CLSID_WSTR L"{F4848816-06AF-45cf-9C1F-85705E600EC7}"
#define PG_COMPONENT_0_CLSID { 0xf4848816, 0x6af, 0x45cf, { 0x9c, 0x1f, 0x85, 0x70, 0x5e, 0x60, 0xe, 0xc7 } }

// R|[lgB
static const wchar_t*	s_wcpComponentName = L"MolipRuby";
// R|[lgo[WB
static const wchar_t*	s_wcpComponentVersion = L"0.1";
// R|[lgɊւRgB
static const wchar_t*	s_wcpComponentComment = L"MolipRuby";
// R|[lg̃T|[gB
static const wchar_t*	s_wcpSupportInfo = L"www.moriq.com/ruby/molip/index.html";
// R|[lg̃V[gJbgL[B
static const wchar_t	s_wcComponentShortcut = L'R';

/////////////////////////////////////////////////////////////////////////////////

/*************************************************************************
 * <֐>	CA0::GetComponentCLSIDName
 *
 * <@\>	R|[lgCLSIDԂB
 *
 * <>	clsid	:CLSID󂯎ϐwB
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
const wchar_t* CA0::GetComponentCLSIDName () const
{
	return PG_COMPONENT_0_CLSID_WSTR;
} // CA0::GetComponentCLSIDName.

/*************************************************************************
 * <֐>	CA0::GetComponentName
 *
 * <@\>	W[ԂB
 *
 * <Ԓl>	W[B
 *
 * <>	W[́Aj[̃Tuj[ȂǂŎgB
 *
 * <>	R[hɒӁB
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
const wchar_t* CA0::GetComponentName () const
{
	return s_wcpComponentName;
} // CA0::GetComponentName.

/*************************************************************************
 * <֐>	CA0::GetVersionName
 *
 * <@\>	o[WԂB
 *
 * <Ԓl>	o[WB
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
const wchar_t* CA0::GetVersionName () const
{
	return s_wcpComponentVersion;
} // CA0::GetVersionName.

/*************************************************************************
 * <֐>	CA0::GetComment
 *
 * <@\>	̃R|[eg̉RgԂBꍇ NULLB
 *
 * <Ԓl>	B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
const wchar_t* CA0::GetComment () const
{
	return s_wcpComponentComment;
} // CA0::GetComment.

/*************************************************************************
 * <֐>	CA0::GetSupportInfo
 *
 * <@\>	̃R|[lg̃T|[gԂBꍇ NULLB
 *
 * <Ԓl>	B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
const wchar_t* CA0::GetSupportInfo () const
{
	return s_wcpSupportInfo;
} // CA0::GetSupportInfo.

/*************************************************************************
 * <֐>	CA0::GetComponentShortcut
 *
 * <@\>	W[j[ɓo^Ƃ̃V[gJbgL[ԂB
 *
 * <Ԓl>	L[R[hB
 *
 * <>	w肵L[Ko^ł킯ł͂ȂB
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
wchar_t CA0::GetComponentShortcut () const
{
	return s_wcComponentShortcut;
} // CA0::GetComponentShortcut.

/////////////////////////////////////////////////////////////////////////////////

/*************************************************************************
 * <֐>	CA0::Initialize
 *
 * <@\>	W[B
 *
 * <>	pI	:Molip Draw̃C^tF[XwB
 *
 * <Ԓl>	ꍇ S_OKAsꍇ̓G[B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
HRESULT CA0::Initialize (IMpgMolipMain* pI)
{
	// GUIDgĂ͂܂BR|[lgŗLGUIDguidgen.exeŎ擾ĂB
	assert(wcscmp(PG_COMPONENT_0_CLSID_WSTR, L"{A9AF7D19-B197-413F-BF49-D6D293CA0B24}") != 0);
	// Molip Draw̃CC^tF[X擾B
	if (FAILED(IMpgInterface::Initialize(pI))) return E_FAIL;
	ruby_init();
	ruby_init_loadpath();
	rb_set_kcode("SJIS");
	id_call = rb_intern("call");
	Init_MolipRuby();
	{
		int errno;
		_TCHAR tcsModule[_MAX_PATH];
		FMpgGetModule()->GetModulePathName(tcsModule, _MAX_PATH);
		_tcscat(tcsModule, _T(".rb"));
		rb_load_protect(rb_str_new2(tcsModule), 0, &errno);
	}
	return S_OK;
} // CA0::Initialize.

/*************************************************************************
 * <֐>	CA0::Terminate
 *
 * <@\>	W[̏IsB
 *
 * <Ԓl>	ꍇ S_OKAsꍇ̓G[B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
HRESULT CA0::Terminate ()
{
	// Molip Draw̃CC^tF[XJB
	return IMpgInterface::Terminate();
} // CA0::Terminate.

static void conv_separator(char *p)
{
    while (*p) {
	if (*p == '\\') {
	    *p++ = '/';
	}
	else {
	    p = CharNext(p);
	}
    }
}

VALUE onCommand(VALUE ary)
{
	VALUE obj = rb_iv_get(mMain, "@OnCommand");
	return rb_apply(obj, id_call, ary);
}

/*************************************************************************
 * <֐>	CA0::OnCommand
 *
 * <@\>	W[ݒ肵R}hsꂽƂɌĂ΂B
 *
 * <>	nCmdID	:sꂽR}hIDwB
 *
 * <Ԓl>	ꍇ S_OKAsꍇ̓G[B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
HRESULT CA0::OnCommand (UINT nCmdID)
{
	VALUE ary = rb_ary_new3(1, UINT2NUM(nCmdID));
	rb_protect(RETVALUE(onCommand), ary, &errno);
	return S_OK;
} // CA0::OnCommand.

/*************************************************************************
 * <֐>	CA0::OnUpdateCommandUI
 *
 * <@\>	W[ݒ肵R}h̃j[\ꂽƂɌĂ΂B
 *
 * <>	pCmdUI	:R}h\Ԃ̃IuWFNgwB
 *
 * <Ԓl>	ꍇ S_OKAsꍇ̓G[B
 *
 * <>	01.08.02 Fukushiro M. 쐬
 *************************************************************************/
HRESULT CA0::OnUpdateCommandUI (FCCmdUIWrp* pCmdUI)
{
	// Tuj[̏ꍇiTuj[łĂ΂j́AAB
	if (pCmdUI->m_pSubMenu != NULL) return S_OK;
	if (pCmdUI->m_nID == m_adwCommandId[0])
	//----- R|[lg0ݒR}h -----
	{
		pCmdUI->Enable(TRUE);
	}
	return S_OK;
} // CA0::OnUpdateCommandUI.

/////////////////////////////////////////////////////////////////////////////////

/*************************************************************************
 * <֐>	CA0::GetInstanceCount
 *
 * <@\>	R|[lg̃CX^XϐԂB
 *
 * <>	01.05.28 Fukushiro M. 쐬
 *************************************************************************/
long& CA0::GetInstanceCount ()
{
	static long s_cComponents = 0;
	return s_cComponents;
} // CA0::GetInstanceCount.

/////////////////////////////////////////////////////////////////////////////////

/*************************************************************************
 * <֐>	CA0::CA0
 *
 * <@\>	RXgN^BJE^ZB
 *
 * <>	01.08.10 Fukushiro M. 쐬
 *************************************************************************/
CA0::CA0 ()
{
	// R|[lg̎QƃJE^PZB
	::InterlockedIncrement(&(GetInstanceCount()));
} // CA0::CA0.

/*************************************************************************
 * <֐>	CA0::~CA0
 *
 * <@\>	fXgN^BJE^ZB
 *
 * <>	01.08.10 Fukushiro M. 쐬
 *************************************************************************/
CA0::~CA0 ()
{
	// R|[lg̎QƃJE^PZB
	::InterlockedDecrement(&(GetInstanceCount()));
} // CA0::~CA0.
